﻿Public Class Form1


    Private Sub NewToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        Dim toolStripMenuItem As ToolStripMenuItem = CType(IIf(TypeOf sender Is ToolStripMenuItem, sender, Nothing), ToolStripMenuItem)
        Select Case toolStripMenuItem.Tag.ToString()
            Case "open"

                If Me.OpenFileDialog1.ShowDialog(Me) = DialogResult.OK Then
                    Me.fileName = Me.OpenFileDialog1.FileName
                    Me.Diagram1.LoadBinary(Me.fileName)
                    Me.promptOnSave = False
                    Me.Diagram1.Refresh()
                End If

                Exit Select
            Case "save"
                If Me.promptOnSave Then
                    Me.SaveFileDialog1.FileName = Me.fileName

                    If Me.SaveFileDialog1.ShowDialog(Me) = DialogResult.OK Then
                        Me.fileName = Me.SaveFileDialog1.FileName
                        Me.Diagram1.SaveBinary(Me.fileName)
                    End If
                    Me.promptOnSave = False
                Else
                    Me.Diagram1.SaveBinary(Me.fileName)
                End If
                Exit Select
            Case "saveas"
                Me.SaveFileDialog1.FileName = Me.fileName

                If Me.SaveFileDialog1.ShowDialog(Me) = DialogResult.OK Then
                    Me.fileName = Me.SaveFileDialog1.FileName
                    Me.Diagram1.SaveBinary(Me.fileName)
                End If
                Exit Select
            Case "exit"
                Me.Close()
                Exit Select
            Case "select"
                Me.Diagram1.ActivateTool("SelectTool")
                Exit Select
            Case "pan"
                Me.Diagram1.ActivateTool("PanTool")
                Exit Select
            Case "zoom"
                Me.Diagram1.ActivateTool("ZoomTool")
                Exit Select
            Case "line"
                Me.Diagram1.ActivateTool("LineTool")
                Exit Select
            Case "group"
                Me.Diagram1.Controller.Group()
                Exit Select
            Case "ungroup"
                Me.Diagram1.Controller.UnGroup()
                Exit Select
            Case "palette"
                Me.PaletteGroupView1.Visible = Not Me.PaletteGroupView1.Visible
                Exit Select
            Case "property"
                Me.PropertyEditor1.Visible = Not Me.PropertyEditor1.Visible
                Exit Select
        End Select
    End Sub

    Private Sub OpenToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        Dim toolStripMenuItem As ToolStripMenuItem = CType(IIf(TypeOf sender Is ToolStripMenuItem, sender, Nothing), ToolStripMenuItem)
        Select Case toolStripMenuItem.Tag.ToString()
            Case "open"

                If Me.OpenFileDialog1.ShowDialog(Me) = DialogResult.OK Then
                    Me.fileName = Me.OpenFileDialog1.FileName
                    Me.Diagram1.LoadBinary(Me.fileName)
                    Me.promptOnSave = False
                    Me.Diagram1.Refresh()
                End If

                Exit Select
            Case "save"
                If Me.promptOnSave Then
                    Me.SaveFileDialog1.FileName = Me.fileName

                    If Me.SaveFileDialog1.ShowDialog(Me) = DialogResult.OK Then
                        Me.fileName = Me.SaveFileDialog1.FileName
                        Me.Diagram1.SaveBinary(Me.fileName)
                    End If
                    Me.promptOnSave = False
                Else
                    Me.Diagram1.SaveBinary(Me.fileName)
                End If
                Exit Select
            Case "saveas"
                Me.SaveFileDialog1.FileName = Me.fileName

                If Me.SaveFileDialog1.ShowDialog(Me) = DialogResult.OK Then
                    Me.fileName = Me.SaveFileDialog1.FileName
                    Me.Diagram1.SaveBinary(Me.fileName)
                End If
                Exit Select
            Case "exit"
                Me.Close()
                Exit Select
            Case "select"
                Me.Diagram1.ActivateTool("SelectTool")
                Exit Select
            Case "pan"
                Me.Diagram1.ActivateTool("PanTool")
                Exit Select
            Case "zoom"
                Me.Diagram1.ActivateTool("ZoomTool")
                Exit Select
            Case "line"
                Me.Diagram1.ActivateTool("LineTool")
                Exit Select
            Case "group"
                Me.Diagram1.Controller.Group()
                Exit Select
            Case "ungroup"
                Me.Diagram1.Controller.UnGroup()
                Exit Select
            Case "palette"
                Me.PaletteGroupView1.Visible = Not Me.PaletteGroupView1.Visible()
                Exit Select
            Case "property"
                Me.PropertyEditor1.Visible = Not Me.PropertyEditor1.Visible
                Exit Select
        End Select
    End Sub


    Private Sub OpenToolStripMenuItem_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OpenToolStripMenuItem.Click
        If Me.OpenFileDialog1.ShowDialog(Me) = DialogResult.OK Then
            Me.fileName = Me.OpenFileDialog1.FileName
            Me.Diagram1.LoadBinary(Me.fileName)
            Me.promptOnSave = False
        End If
        Me.Diagram1.Refresh()
    End Sub

    Private Sub SaveToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SaveToolStripMenuItem.Click
        If Me.promptOnSave Then
            Me.SaveFileDialog1.FileName = Me.fileName

            If Me.SaveFileDialog1.ShowDialog(Me) = DialogResult.OK Then
                Me.fileName = Me.SaveFileDialog1.FileName
                Me.Diagram1.SaveBinary(Me.fileName)
            End If
            Me.promptOnSave = False
        Else
            Me.Diagram1.SaveBinary(Me.fileName)
        End If
    End Sub

    Private Sub SaveAsToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SaveAsToolStripMenuItem.Click
        Me.SaveFileDialog1.FileName = Me.fileName

        If Me.SaveFileDialog1.ShowDialog(Me) = DialogResult.OK Then
            Me.fileName = Me.SaveFileDialog1.FileName
            Me.Diagram1.SaveBinary(Me.fileName)
        End If
    End Sub

    Private Sub ExitToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ExitToolStripMenuItem.Click
        Me.Close()
    End Sub
End Class